Jump to content
srmuntz331

2011 MyFord Touch Software Help

Recommended Posts

That is odd. My DL of it the V3.10 upgrade has 3.08 15128 listed in it.

Share this post


Link to post
Share on other sites

redden18 - Thanks for all your Help, I've got the v3.10 update installed in my 2014 Taurus.

 

jmr061 - The latest download from the Ford site now has "redden18" fix in the autoinstall.lst file.

 

I'm still having a problem reporting the update back to Ford but that's usually a problem.

 

Thanks for your Help

 

 

added:

I contacted Ford IVT (In-Vehicle Technology) [sync@ford.com] and they were able to update the Ford owner site for me to show my latest update.

Edited by FordGuy1

Share this post


Link to post
Share on other sites

reddin18 - Thanks for all your Help, I've got the v3.10 update installed in my 2014 Taurus.

 

jmr061 - The latest download from the Ford site now has "reddin18" fix in the autoinstall.lst file.

 

I'm still having a problem reporting the update back to Ford but that's usually a problem.

 

Thanks for your Help

:2thumbs: Enjoy

Share this post


Link to post
Share on other sites
On 7/16/2018 at 4:24 PM, candurin said:

Heres a link to 3.8 (it should still be active, but, I cant check from my phone):

 

http://ivsu.binaries.ford.com/swparts/Gen2v38build15128updatepackageNARev2.zip

 

Its directly from fords servers.

 

1. Just unzip and copy to a USB (FAT32) drive

2. You should have just a "SyncMyRide" folder and "autoinstall.lst" file

3. Start your car, engine must be running throughout the process

4. Plug the USB

5. Let it install

 

Installation can take up to an hour.

 

If you want, heres a link to 3.10. Package checks out as an official ford one, albeit not from fords sever:

 

https://drive.google.com/file/d/1OgV-hRT3rQsGcMcga1mLeAOOHVYp7rRI/view

 

Many people have succedully updated to 3.10 using this package without issue (you assume all risk).

 

Same install process.

Hi, I have a 2011 Ford EDGE Limited, version: CCPU S \ W Version 4.26.12023_PRODUCT, I would like to know if it is safe to upgrade to version 3.8 that you posted to download. Thanks in advance.

Share this post


Link to post
Share on other sites
7 hours ago, rickysubero said:

Hi, I have a 2011 Ford EDGE Limited, version: CCPU S \ W Version 4.26.12023_PRODUCT, I would like to know if it is safe to upgrade to version 3.8 that you posted to download. Thanks in advance.

No need to install 3.8, install 3.10 right away

Share this post


Link to post
Share on other sites
13 hours ago, rickysubero said:

Hi, I have a 2011 Ford EDGE Limited, version: CCPU S \ W Version 4.26.12023_PRODUCT, I would like to know if it is safe to upgrade to version 3.8 that you posted to download. Thanks in advance.

 

Since you are on 3.0.2, feel free to update to 3.10.  3.10 should be available when you log into the Ford support site.

Share this post


Link to post
Share on other sites
3 hours ago, candurin said:

 

Since you are on 3.0.2, feel free to update to 3.10.  3.10 should be available when you log into the Ford support site.

thanks.

Share this post


Link to post
Share on other sites

Hi!

 

Sorry to bring back such an old post, but I need help since I am really lost:

 

I have a 2011 Edge Limited, it currently has Sync2 V. 4.26.11399, I have searched everywhere but just CAN'T find any information about this version, when I took it to a dealership (I live in Mexico City) they told me that they don't have any updates/information available for that version and they want to replace (not update) the APIM at a really funny price... funny for them of course (in which case I'd rather go straight to Sync3). 

 

So, I'd like to ask for your kind help in order to know: Is there really not an update for my Sync2? (can I have such bad luck?), isn't there some walk around? 

 

Please please help me! I appreciate your support!

 

Regards!

Noe G.

Share this post


Link to post
Share on other sites
22 hours ago, Noe said:

Hi!

 

Sorry to bring back such an old post, but I need help since I am really lost:

 

I have a 2011 Edge Limited, it currently has Sync2 V. 4.26.11399, I have searched everywhere but just CAN'T find any information about this version, when I took it to a dealership (I live in Mexico City) they told me that they don't have any updates/information available for that version and they want to replace (not update) the APIM at a really funny price... funny for them of course (in which case I'd rather go straight to Sync3). 

 

So, I'd like to ask for your kind help in order to know: Is there really not an update for my Sync2? (can I have such bad luck?), isn't there some walk around? 

 

Please please help me! I appreciate your support!

 

Regards!

Noe G.

The latest version is 3.10 which you can install. You won't see too many improvements though... PM me

Share this post


Link to post
Share on other sites

@NoeYou can download the latest version here:  https://help.ford.com/update-sync/

 

You won't get the available firmware update that is likely available for the system this however...that would be done in conjunction with the software if the dealer did it.  Your dealer is fully capable of updating things.  Sounds like they are lazy or just not knowledgeable. 

Share this post


Link to post
Share on other sites
On 9/16/2020 at 11:42 AM, jmr061 said:

@NoeYou can download the latest version here:  https://help.ford.com/update-sync/

 

You won't get the available firmware update that is likely available for the system this however...that would be done in conjunction with the software if the dealer did it.  Your dealer is fully capable of updating things.  Sounds like they are lazy or just not knowledgeable. 

 

Thanks!!!

 

So I found out that I have Sync2 V2.91 installed in my 2011 Edge and It seems that FIRST I need t get V3.2.2 (Gen2v322build12156updatepackage.exe) before I can update to any other Version,  but I can't find it anymore (was released in 2012), if any of you have it and is willing to share it with me I will truly appreciate it!!!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×